package com.jy.system.service;

import com.jy.framework.satoken.PathPermission;
import com.jy.system.model.dto.SysPermissionSelectDto;
import com.jy.system.model.entity.SysPermission;

import java.util.List;

/**
 * <p>
 * 鉴权接口 服务类
 * </p>
 *
 * @author
 * @since 2024-09-06
 */
public interface SysPermissionService extends PathPermission {

    /**
     * 获取权限标识列表
     */
    List<String> getCodeList();

    /**
     * 鉴权接口列表
     */
    List<SysPermission> getList(SysPermissionSelectDto dto);

    /**
     * 鉴权接口编辑
     */
    void edit(SysPermission dto);

    /**
     * 鉴权接口删除
     */
    void delete(Long id);

    /**
     * 刷新鉴权接口缓存
     */
    void refreshCache();

}
